require "yaml"

# Classe pour la gestion de la configuration
class Authentication
  include YAML::Serializable

  @[YAML::Field(key: "username")]
  property username : String

  @[YAML::Field(key: "password")]
  property password : String

  def initialize(@username, @password)
  end
end

class Config
  include YAML::Serializable


  @[YAML::Field(key: "authentication")]
  property authentication : Authentication

  def initialize(@authentication)
  end
end

